<?php

error_reporting(0);

set_magic_quotes_runtime (0);
if (get_magic_quotes_gpc()) {
	foreach($HTTP_GET_VARS as $k=>$v)
		$HTTP_GET_VARS[$k] = stripslashes($v);
	foreach($HTTP_POST_VARS as $k=>$v)
		$HTTP_POST_VARS[$k] = stripslashes($v);
	foreach($HTTP_COOKIE_VARS as $k=>$v)
		$HTTP_COOKIE_VARS[$k] = stripslashes($v);
}

$HostName = "<<1-db_hostname>>";
$UserName = "<<1-db_username>>";
$Password = "<<1-db_password>>";
$DbName = "<<1-db_dbname>>";

$conn = mysql_connect($HostName, $UserName, $Password) or die (mysql_error());

mysql_select_db($DbName,$conn) or die (mysql_error());

$regpr = 0;
$subtitleincart = 0;

<<1-php_globals>>

$listino = GetListino();
$cliente = GetCliente();
$scontocliente = GetScontoCliente();

if (!isset($Lingua)) {
	$Lingua = "";
}

SendHeaders();

function ViewArt($sTag) {
	global $rowArt, $listino;
	if (isset($rowArt["$sTag"])) {
		$Out=$rowArt["$sTag"];
	} elseif (isset($rowArt["$sTag"])) {
		$Out=$rowArt["$sTag"];
	} else {
		$Out="###" . $sTag . "###";
	}
	$nop = 1;
	switch (strtolower($sTag)) {
		case "descrizione":
		case "note":
			$Out = MakeHTML($Out);
			break;
		case "opzione4":
			$nop = $nop +1;
		case "opzione3":
			$nop = $nop +1;
		case "opzione2":
			$nop = $nop +1;
		case "opzione1":
			$op = $rowArt["opzione$nop"];
			if ($listino > 0) {
				$op = $rowArt["opzione" . $nop ."_" .$listino];
			}
			$Out = ViewOp($op, $nop);
			$Out = AdattaPrezziOpzioni($Out);
			break;
		case "nomeopzione4":
			$nop = $nop +1;
		case "nomeopzione3":
			$nop = $nop +1;
		case "nomeopzione2":
			$nop = $nop +1;
		case "nomeopzione1":
			$op = $rowArt["opzione$nop"];
			if ($listino > 0) {
				$op = $rowArt["opzione" . $nop ."_" .$listino];
			}
			$Out = ViewOpName($op);
			$Out = MakeHTML($Out);
			break;
		case "listino":
			$Out = ViewListino();
			break;
		case "prezzo":
			$Out = ViewPrezzo();
			break;
		case "offerta":
			$Out = ViewOfferta();
			break;
		case "cambio":
			$Out = ViewCambio();
			break;
		case "cart_prezzo":
			$Out = ViewCartPrezzo();
			break;
		case "iva":
			$Out = ViewIva();
			break;
		case "novita":
			$Out = ViewNovita();
			break;
		case "java_acquista":
			$Out = ArtAcquista();
			break;
		case "contatore":
			$Out = ViewContatore();
			break;
		case "correlati":
			$Out = ViewCorrelati();
			break;
		case "giacenza";
			$Out = "<img name=\"dispimg" . ViewContatore() . "\" src=". ViewOpImg() . ">";
			break;
		case "magazzino";
			$Out = ViewMagazzino();
			break;
	}
	return ParseArt($Out);
}

function ParseArt($Testo) {
	$Out = $Testo;
	$needle = "<<?subpage?>>";
	if (substr_count($Testo, $needle) > 0) {
		global $sp;
		$newtext = $sp;
		$Out = str_replace($needle,$newtext,$Out);
	}
	return $Out;
}

function ViewOp($id, $tipo) {
	global $Lingua, $Contatore, $rowArt;
	if ($id > 1) {
		$sql = "SELECT * FROM opzioni$Lingua WHERE ID=$id";
		$result = mysql_query($sql);
		$row = mysql_fetch_array($result);
		$opzione = $row["opzione"];
		return "<select size=1 name=op" . $tipo . $Contatore . " onChange=\"CheckAvail('" .$Contatore . "','" . MakeJavaArg(trim($rowArt["codice"])) . "')\">" . $opzione . "</select>";
	} else {
		return "";
	}
}

function ViewOpName($id) {
	global $Lingua;
	if ($id > 1) {
		$sql = "SELECT * FROM opzioni$Lingua WHERE ID=$id";
		$result = mysql_query($sql);
		$row = mysql_fetch_array($result);
		return $row["nomeopzione"];
	} else {
		return "";
	}
}

function ViewOpSelCode($id) {
	if ($id > 1) {
		$sql = "SELECT * FROM opzioni WHERE ID=$id";
		$result = mysql_query($sql);
		$row = mysql_fetch_array($result);
		$opzione = $row["opzione"];
		$p1 = strpos($opzione,"<option selected value=");
		$p2 = strpos($opzione, "#", $p1);
		if ($p2 > 0) {
					$p1 = strpos($opzione, "|", $p2);
					if ($p1 > $p2) {
						$Out = substr($opzione, $p2 + 1, $p1 - $p2 -1);
					} else {
						$Out = "";
					}
		} else {
			$Out = "";
		}
	} else {
		$Out = "";
	}
	return $Out;
}

function ViewOpImg() {
	global $rowArt, $Lingua;
	$thecode = trim($rowArt["codice"]);
	$codeitem = "?";
	for ($n=1; $n<5;$n++) {
		$op = $rowArt["opzione".$n];
		$opcode = ViewOpSelCode($op);
		if ($opcode != "") {
			$codeitem .= trim($opcode) . "?";
		}
	}
	return "dispimg$Lingua.php?a=" . rawurlencode($thecode) . "&b=" . rawurlencode($codeitem);
}

function ViewMagazzino() {
	global $rowArt;
	$thecode = trim($rowArt["codice"]);
	$codeitem = "?";
	for ($n=1; $n<5;$n++) {
		$op = $rowArt["opzione".$n];
		$opcode = ViewOpSelCode($op);
		if ($opcode != "") {
			$codeitem .= trim($opcode) . "?";
		}
	}
	return GiacenzaNum(CheckCodice($thecode,$codeitem));
}

function ArtImporto($campo) {
	global $rowArt, $listino, $ivarep, $ivacompresa;
	if ($listino > 0) {
		$campo .= $listino;
	}
	$importo = $rowArt[$campo];
	if ($ivacompresa <>0) {
		$importo = $importo + $importo * $ivarep;

	}
	return $importo;
}

function ViewCorrelati() {
	global $rowArt, $Lingua;
	$rel = MakeClean($rowArt["correlazione"]);
	$Out = "";
	if ($rel != "") {
		$Out = "<a href=\"rel$Lingua.php?id=$rel\" target=\"_self\"><<4-correlati>></a>";
	}
	return $Out;

}

function ViewPrezzo() {
	global $listino, $scontorep, $valuta, $visdec;
	global $cliente, $regpr;
	if ($cliente == 0 && $regpr) {
		return "";
	}
	$prezzo = ArtImporto("importo");
	$importo = ArtImporto("implistino");
	if ($prezzo == $importo) {
		$prezzo = $prezzo * $scontorep[$listino];
	}
	$prezzo = round($prezzo, $visdec[0]);
	$Out = trim($valuta[0]) . " " . Formatta($prezzo, 0);
	return $Out;
}

function CartPrezzo() {
	global $listino, $scontorep, $visdec;
	$prezzo = ArtImporto("importo");
	$importo = ArtImporto("implistino");
	if ($prezzo == $importo) {
		$prezzo = $prezzo * $scontorep[$listino];
	}
	$prezzo = round($prezzo, $visdec[0]);
	return $prezzo;
}

function ViewListino() {
	global $listino, $scontorep, $valuta, $visdec;
	global $cliente, $regpr;
	if ($cliente == 0 && $regpr) {
		return "";
	}
	$Out = "";
	$prezzo = ArtImporto("importo");
	$importo = ArtImporto("implistino");
	if ($prezzo == $importo) {
		if ($scontorep[$listino] <>1 && $importo > 0) {
			$Out = Formatta(round($importo, $visdec[0]), 0);
		}
	} else {
		$Out = Formatta(round($importo, $visdec[0]), 0);
	}
	if ($Out != "") {
		$Out = trim($valuta[0]) . " " . $Out;
		$Out = "<strike>". $Out . "</strike>";
	}
	return $Out;
}

function ViewCambio() {
	global $cambio, $valuta, $visdec, $scontorep, $listino;
	global $cliente, $regpr;
	if ($cliente == 0 && $regpr) {
		return "";
	}
	$Out = "";
	if ($cambio > 0) {
		$importo = ArtImporto("implistino");
		$prezzo = ArtImporto("importo");
		if ($prezzo == $importo) {
			$prezzo = $prezzo * $scontorep[$listino];
		}
		$prezzo = round($prezzo, $visdec[0]);
		$Out = Formatta(round($prezzo / $cambio, $visdec[1]), 1);
		$Out = trim($valuta[1]) . " " . $Out;
	}
	return $Out;
}

function ViewOfferta() {
	global $visofferta, $vissconto, $visdec;
	global $listino, $scontorep, $Lingua;
	global $cliente, $regpr;
	if ($cliente == 0 && $regpr) {
		return "";
	}
	$Out = "";
	$prezzo = ArtImporto("importo");
	$importo = ArtImporto("implistino");
	if ($visofferta != "") {

		if ($prezzo == $importo) {
			if ($scontorep[$listino] <>1 && $importo > 0) {
				$Out = $visofferta;
			}
		} else {
			$Out = $visofferta;
		}

	}
	if ($prezzo == $importo) {
		$prezzo = $prezzo * $scontorep[$listino];
	}
	
	$Out = str_replace(".gif",$Lingua . ".gif",$Out);
	if ($vissconto && $prezzo < $importo && $prezzo > 0) {
		$prezzo = round($prezzo, $visdec[0]);
		$importo = round($importo, $visdec[0]);
		$sconto = round(($prezzo / $importo - 1) * 100, 2);
		$Out .= " " . Formatta($sconto, 2) . "%";
	}
	return $Out;
}


function ViewNovita() {
	global $rowArt, $visnovita, $Lingua;
	$Out = $visnovita;
	$Out = str_replace(".gif",$Lingua . ".gif",$Out);
	$nov = $rowArt["novita"];
	if ($nov != 1) {
		$Out = "";
	}
	return $Out;
}

function ViewIva() {
	global $testoiva;
	global $cliente, $regpr;
	if ($cliente == 0 && $regpr) {
		return "";
	}
	return $testoiva;
}

function ViewContatore() {
	global $Contatore;
	return $Contatore;
}
function PrezzoOpzione($opprezzo) {
	global $listino, $scontorep, $visdec, $ivarep, $ivacompresa;
	$prezzo = ArtImporto("importo");
	$importo = ArtImporto("implistino");
	if ($prezzo == $importo && $importo > 0) {
		$opprezzo = $opprezzo * $scontorep[$listino];
	}
	if ($ivacompresa <> 0) {
		$opprezzo = $opprezzo + $opprezzo * $ivarep;
	}
	$opprezzo = round($opprezzo, $visdec[0]);
	return $opprezzo;
}

function Formatta($numero, $tipo) {
	global $notazione, $visdec;
	if ($notazione == 0) {
		$Out = number_format($numero, $visdec[$tipo], ',', '.');
	} else {
		$Out = number_format($numero, $visdec[$tipo], '.', ',');
	}
	return $Out;
}

function MakeHTML($Testo) {
	$Out = $Testo;
	if (!ereg("<.+>", $Testo)) {
		$Out = nl2br(htmlentities($Out));
	}
	return $Out;
}

function AdattaPrezziOpzioni ($Testo) {
	global $valuta;
	global $cliente, $regpr;
	$opzioni = explode("</option>",$Testo);
	$i = 0;
	foreach ($opzioni as $opzione) {
		$riga = $opzione;
		if (ereg("<<-?[[:digit:]]*\.?[[:digit:]]+>>", $opzione, $cifra)) {
			$numero = $cifra[0];
			$numero = str_replace("<<","",$numero);
			$numero = str_replace(">>","",$numero);
			$numero = PrezzoOpzione($numero);
			$riga = str_replace($cifra[0], $numero, $opzione);
			$numero = Formatta(abs($numero), 0);
			if ($cliente == 0 && $regpr) {
				$riga = str_replace("( - ".trim($valuta[0])." <<importo>> )", "", $riga);
				$riga = str_replace("( + ".trim($valuta[0])." <<importo>> )", "", $riga);
			} else {
				$riga = str_replace("<<importo>>", $numero, $riga);
			}
		}
		$Out .= $riga . "</option>";
	}
	$Out = ereg_replace("</option>$", "", $Out);
	return $Out;
}

function SetVariables($cid) {
	global $ivarep, $inaccessibile, $scontorep, $testoiva, $ivacompresa;
	$sql = "SELECT * FROM categorie WHERE ID='$cid'";
	$result = mysql_query($sql);
	$rowCat = mysql_fetch_array($result);
	$ivarep = $rowCat['iva'];
	$inaccessibile = array($rowCat['inaccessibile'],$rowCat['inaccessibile1'],$rowCat['inaccessibile2'],$rowCat['inaccessibile3'],$rowCat['inaccessibile4'],$rowCat['inaccessibile5'],$rowCat['inaccessibile6'],$rowCat['inaccessibile7'],$rowCat['inaccessibile8'],$rowCat['inaccessibile9']);
	$scontorep = array($rowCat['sconto'],$rowCat['sconto1'],$rowCat['sconto2'],$rowCat['sconto3'],$rowCat['sconto4'],$rowCat['sconto5'],$rowCat['sconto6'],$rowCat['sconto7'],$rowCat['sconto8'],$rowCat['sconto9']);
	$testoiva = "";
	if ($ivarep > 0 && $ivacompresa == 0) {
		$testoiva = "+ <<4-carrello_iva>> " . $ivarep * 100 . "%";
	}
}

function ArtPrice($aid) {
	global $rowArt, $Lingua;
	$sql = "SELECT * FROM articoli$Lingua INNER JOIN dettaglio USING (ID) INNER JOIN ordinamento USING (ID) WHERE articoli$Lingua.ID=$aid";
	$resultArt = mysql_query($sql);
	$rowArt = mysql_fetch_array($resultArt);
	$catid = $rowArt["catID"];
	SetVariables($catid);
	$Out = ViewPrezzo();
	return $Out;
}

function ArtCambio($aid) {
	global $rowArt, $Lingua;
	$sql = "SELECT * FROM articoli$Lingua INNER JOIN dettaglio USING (ID) INNER JOIN ordinamento USING (ID) WHERE articoli$Lingua.ID=$aid";
	$resultArt = mysql_query($sql);
	$rowArt = mysql_fetch_array($resultArt);
	$catid = $rowArt["catID"];
	SetVariables($catid);
	$Out = ViewCambio();
	return $Out;
}

function ArtAcquista() {
	global $Contatore, $rowArt, $ivarep, $listino, $cliente, $regobbl, $Lingua;
	global $subtitleincart;
	if ($cliente==0 && $regobbl) {
		$Out = "javascript:self.location='login$Lingua.php?m=23';";
		$Out .= "\" onMouseOver=\"window.status=''; return true";
		return $Out;
	}
	$GoOn = 1;
	if ($listino > 0) {
		$op1 = $rowArt["opzione1_".$listino];
	} else {
		$op1 = $rowArt["opzione1"];
	}
	if ($op1 > 1) {
		$result = mysql_query("SELECT * FROM opcodici WHERE OpID='$op1'");
		if (mysql_num_rows($result) == 0) {
			$o = trim($rowArt["codice"]);
			if (!Disponibile($o,1)) {
				$GoOn = 0;
			}
		}
	} else {
		$o = trim($rowArt["codice"]);
		if (!Disponibile($o,1)) {
			$GoOn = 0;
		}
	}
	if ($GoOn) {
		$Out = "javascript:window.status='';Acquista(";
		$o = $Contatore;
		$Out .= "'" . $o ."',";
		$o = $rowArt["ID"];
		$Out .= "'" . $o ."',";
		$o = MakeJavaArg(trim($rowArt["codice"]));
		$Out .= "'" . $o ."',";
		$o = MakeJavaArg($rowArt["plain_titolo"]);
		if ($subtitleincart) {
			if ($rowArt["plain_sottotitolo"] != "") {
				$o .= " - " . MakeJavaArg($rowArt["plain_sottotitolo"]);
			}
		}
		$Out .= "'" . $o ."',";
		$o = CartPrezzo();
		$Out .= "'" . $o ."',";
		$o = $ivarep;
		$Out .= "'" . $o ."',";
		$o = $rowArt["cart_peso"];
		$Out .= "'" . $o ."',";
		$o = $listino;
		$Out .= "'" . $o ."',";
		$scq = $rowArt["scq"];
		if ($listino > 0) {
			$scq = $rowArt["scq" . $listino];
		}
		if ($scq) {
			$q1 = $rowArt["scqart0"];
			$i1 = $rowArt["scqperc0"];
			$q2 = $rowArt["scqart1"];
			$i2 = $rowArt["scqperc1"];
			if ($q1 > $q2) {
				$q1 = $rowArt["scqart1"];
				$i1 = $rowArt["scqperc1"];
				$q2 = $rowArt["scqart0"];
				$i2 = $rowArt["scqperc0"];
			} elseif ($q1 == $q2 && $i1 < $i2) {
				$i1 = $rowArt["scqperc1"];
				$i2 = $rowArt["scqperc0"];
			}
		} else {
			$q1 = -1;
			$i1 = 1;
			$q2 = -1;
			$i2 = 1;
		}
		$o = $q1;
		$Out .= "'" . $o ."',";
		$o = $i1;
		$Out .= "'" . $o ."',";
		$o = $q2;
		$Out .= "'" . $o ."',";
		$o = $i2;
		$Out .= "'" . $o ."',";
		$o = $rowArt["linkPage"];
		if ($o == "") {
			$o = $rowArt["pagina"];
		}
		$o .= ".php?n=" . $rowArt["sottopagina"] . "#" . $Contatore;
		$Out .= "'" . $o ."')";
		$Out .= "\" onMouseOver=\"window.status=''; return true";
	} else {
		$Out = "javascript:window.status='';alert('<<4-non_disponibile>>')";
		$Out .= "\" onMouseOver=\"window.status=''; return true";
	}
	return $Out;
}

function GetListino() {
	$Out = 0;
	$clid = GetCliente();
	if ($clid > 0) {
		$sql = "SELECT list FROM clienti WHERE cust_id=$clid";
		$result = mysql_query($sql);
		$row = mysql_fetch_array($result);
		if (is_numeric($row["list"])) {
			$Out = $row["list"];
		}
	}
	return $Out;
}

function GetCliente() {
	global $HTTP_COOKIE_VARS;
	global $HostName, $UserName, $Password, $DbName;
	$Out = 0;
	if (isset($HTTP_COOKIE_VARS['eDenter_user']) && isset($HTTP_COOKIE_VARS['eDenter_sign'])) {
		$firmacookie = $HTTP_COOKIE_VARS['eDenter_sign'];
		$s1 = $HTTP_COOKIE_VARS['eDenter_user'].$UserName . $Password . $DbName;
		$firma = urlencode(md5($s1));
		if ($firma == $firmacookie) {
			$Out = $HTTP_COOKIE_VARS['eDenter_user'];
		}
	}
	return $Out;
}

function GetScontoCliente() {
	$Out = 0;
	$clid = GetCliente();
	if ($clid > 0) {
		$sql = "SELECT sconto_cl FROM clienti WHERE cust_id=$clid";
		$result = mysql_query($sql);
		$row = mysql_fetch_array($result);
		if (is_numeric($row["sconto_cl"])) {
			$Out = $row["sconto_cl"];
			if ($Out > 0 && $Out <= 100) {
				$Out = $Out / 100;
				$Out = number_format($Out, 2);
			} else {
				$Out = 0;
			}
		}
	}
	return $Out;
}

function LoadDatiCliente() {
	$clid = GetCliente();
	if ($clid > 0) {
		$sql = "SELECT * FROM clienti WHERE cust_id=$clid";
		$result = mysql_query($sql);
		$row = mysql_fetch_array($result);
		$dati = rawurlencode($row["full_name"]) . "!";
		$dati .= rawurlencode($row["corp"]) . "!";
		$dati .= rawurlencode($row["cf_piva"]) . "!";
		$dati .= rawurlencode($row["addr"]) . "!";
		$dati .= rawurlencode($row["zip"]) . "!";
		$dati .= rawurlencode($row["city"]) . "!";
		$dati .= rawurlencode($row["del_name"]) . "!";
		$dati .= rawurlencode($row["del_addr"]) . "!";
		$dati .= rawurlencode($row["del_zip"]) . "!";
		$dati .= rawurlencode($row["del_city"]) . "!";
		$dati .= rawurlencode($row["country"]) . "!";
		$dati .= rawurlencode($row["email"]) . "!";
		$dati .= rawurlencode($row["phone"]) . "!";
		$dati .= rawurlencode($row[""]) . "!";
		$dati .= rawurlencode($row[""]) . "!";
		$dati .= rawurlencode($row[""]) . "!";
		return $dati;
	} else {
		return "";
	}
}

function Output($msg) {
	global $HTTP_SERVER_VARS;
	$name = $HTTP_SERVER_VARS['SERVER_NAME'] . $HTTP_SERVER_VARS['SCRIPT_NAME'];
	$protocol = "http://";
	if (is_integer(strpos(strtolower($HTTP_SERVER_VARS['HTTP_REFERER']),"https://"))) {
			$protocol = "https://";
	}
	$parts = explode('/', $name);
	$scriptname = $parts[sizeof($parts)-1]; 
	$name = $protocol . str_replace($scriptname,"",$name);
	$name .= "login<<1-IDlingua>>.php?m=37&t=" . urlencode($msg);
	$Out = implode ('', file ($name));
	return $Out;
}

function MakeClean($Testo) {
	$Out = str_replace("\"","&quot;",$Testo);
	return $Out;
}

function MakeQuery($Testo) {
	$Out = addslashes($Testo);
	return $Out;
}

function MakeJavaArg($Testo) {
	$Out = addslashes($Testo);
	$Out = str_replace("\\\"","&quot;",$Out);
	return $Out;
}

function Disponibile($codice, $quant) {
	$codice = trim($codice);
	if ($codice != "" && $quant > 0) {
		$sql = "SELECT * FROM giacenze WHERE giacenze.codice = '".MakeQuery($codice)."'";
		$result = mysql_query($sql);
		if (mysql_num_rows($result) == 0) {
			return 1;
		} else {
			$row = mysql_fetch_array($result);
			$disp = $row["giacenza"];
			if ($disp == "") {
				return 1;
			} elseif ($disp >= $quant) {
				return 1;
			} else {
				return 0;
			}
		}
	} else {
		return 1;
	}
}

function GiacenzaNum($codice) {
	$codice = trim($codice);
	if ($codice != "") {
		$sql = "SELECT * FROM giacenze WHERE giacenze.codice = '".MakeQuery($codice)."'";
		$result = mysql_query($sql);
		if (mysql_num_rows($result) == 0) {
			return "";
		} else {
			$row = mysql_fetch_array($result);
			$disp = $row["giacenza"];
			if ($disp == "") {
				return "";
			} elseif ($disp >= 0) {
				return $disp;
			} else {
				return 0;
			}
		}
	} else {
		return "";
	}
}

function CheckDispCart() {
	global $HTTP_COOKIE_VARS, $listino;
	$dettaglio = $HTTP_COOKIE_VARS["eDenter_basket$listino"];
	$articoli = explode("][",$dettaglio);
	foreach ($articoli as $articolo) {
		$articolo = str_replace("[","",$articolo);
		$articolo = str_replace("]","",$articolo);
		$item = explode("|", $articolo);
		$thecode = rawurldecode($item[1]);
		$codeitem = rawurldecode($item[10]);
		$thequantity = round(rawurldecode($item[18]),8);
		$disp = Disponibile(CheckCodice($thecode, $codeitem), $thequantity);
		$alldisp .= $disp;
	}
	return $alldisp;
}

function AumGiacenza($codice, $valore) {
	AggGiacenza($codice, $valore, 1, 1);
}

function DimGiacenza($codice, $valore) {
	AggGiacenza($codice, $valore, 1, -1);
}

function SetGiacenza($codice, $valore) {
	AggGiacenza($codice, $valore, 0, 1);
}

function AggGiacenza($codice, $valore, $segno1, $segno2) {
	$codice = trim($codice);
	if ($codice != "") {
		$giacenza = "";
		$sql = "SELECT * FROM giacenze WHERE codice = '".MakeQuery($codice)."'";
		$result = mysql_query($sql);
		$ok = mysql_num_rows($result);
		while ($row = mysql_fetch_array($result)) {
			$giacenza = $row["giacenza"];
		}
		if ($segno1 == 0) {
			$giacenza = "0";
		}
		if (is_numeric($giacenza) && $giacenza !="") {
			$giacenza = round(($giacenza * $segno1) + ($valore * $segno2),8);
			$sql = "INSERT INTO giacenze (codice, giacenza) VALUES ('".MakeQuery($codice)."','$giacenza')";
			if ($ok >0) {
				$sql = "UPDATE giacenze SET giacenza = '$giacenza' WHERE codice = '".MakeQuery($codice)."'";
			}
			$result = mysql_query($sql);
		}
	}
}

function CheckCodice($ci, $cv) {
	$Out = trim($ci);
	$codici = explode("?",$cv);
	if (sizeof($codici) > 1) {
		$codice = trim(InterpretaCodice($codici[1]));
	} else {
		$codice = "";
	}
	if ($codice != "") {
		$Out = trim($codice);
	}
	return $Out;
}

function InterpretaCodice($testo) {
	$testo = str_replace("%5B","[", $testo);
	$testo = str_replace("%5D","]", $testo);
	$testo = str_replace("%7C","|", $testo);
	$testo = str_replace("%3F","?", $testo);
	$testo = str_replace("%23","#", $testo);
	$testo = str_replace("%3D","=", $testo);
	$testo = str_replace("%3C","<", $testo);
	$testo = str_replace("%3E",">", $testo);
	$testo = str_replace("%25","%", $testo);
	return ($testo);
}

function RifiutaPG($pCodice,$pCheckimporto,$pImporto,$pIP) {
	$validato = 0;
	$pImporto = str_replace(",",".",$pImporto);
	$query = "SELECT ID FROM ordini WHERE codice='".MakeQuery($pCodice)."'";
	$res = mysql_query($query);
	if ($row = mysql_fetch_array($res)) {
		$ordid = $row["ID"];
		$query = "SELECT status, totale_lordo, ip FROM ordini WHERE ID='$ordid'";
		$res = mysql_query($query);
		$row = mysql_fetch_array($res);
		$status = $row["status"];
		$totale = $row["totale_lordo"];
		$totale1 = $totale * 100;
		$IP = $row["ip"];
		if ($status == 0) {
			switch ($pCheckImporto) {
				case 0:
					$validato = 1;
					break;
				case 1:
					if ($pImporto == $totale || $pImporto == $totale1 || $pImporto == 0) {
						$validato = 1;
					}
					break;
			}
			if ($pIP != "") {
				if ($pIP != $IP) {
					$validato = 0;
				}
			}
		}
	}
	if ($validato) {
		$query = "UPDATE ordini SET status='4' WHERE ID='$ordid'";
		if ($status != 4) {
			$res = mysql_query($query);
			$query = "SELECT codice_articolo, codice_completo, quantita FROM ordini_dettagli WHERE ID_ordine='$pCodice'";
			$res = mysql_query($query);
			while ($row = mysql_fetch_array($res)) {
				$thecode = $row["codice_articolo"];
				$codeitem = $row["codice_completo"];
				$codice = CheckCodice($thecode, $codeitem);
				$valore = $row["quantita"];
				AumGiacenza($codice, $valore);
			}
		}
	}
}

function AccettaPG($pCodice,$pCheckimporto,$pImporto,$pIP) {
	$validato = 0;
	$pImporto = str_replace(",",".",$pImporto);
	$query = "SELECT ID FROM ordini WHERE codice='".MakeQuery($pCodice)."'";
	$res = mysql_query($query);
	if ($row = mysql_fetch_array($res)) {
		$ordid = $row["ID"];
		$query = "SELECT status, totale_lordo, ip FROM ordini WHERE ID='$ordid'";
		$res = mysql_query($query);
		$row = mysql_fetch_array($res);
		$status = $row["status"];
		$totale = $row["totale_lordo"];
		$totale1 = $totale * 100;
		$IP = $row["ip"];
		switch ($pCheckImporto) {
			case 0:
				$validato = 1;
				break;
			case 1:
				if ($pImporto == $totale || $pImporto == $totale1) {
					$validato = 1;
				}
				break;
		}
		if ($pIP != "") {
			if ($pIP != $IP) {
				$validato = 0;
			}
		}
	}
	if ($validato) {
		$query = "UPDATE ordini SET status='1' WHERE ID='$ordid'";
		$res = mysql_query($query);
		if ($status == 4) {
			$query = "SELECT codice_articolo, codice_completo, quantita FROM ordini_dettagli WHERE ID_ordine='$pCodice'";
			$res = mysql_query($query);
			while ($row = mysql_fetch_array($res)) {
				$thecode = $row["codice_articolo"];
				$codeitem = $row["codice_completo"];
				$codice = CheckCodice($thecode, $codeitem);
				$valore = $row["quantita"];
				DimGiacenza($codice, $valore);
			}
		}
	}
}

function SendHeaders() {
	$p3pcompact = addslashes(trim("<<1-compact_privacy_policy>>"));
	header("Cache-Control: private, no-cache, must-revalidate");
	//header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); 
	header("Pragma: no-cache");
	if ($p3pcompact != "") {
		header("P3P: CP=\"$p3pcompact\"");
	}
}

function ValidateReferer() {
	global $HTTP_SERVER_VARS;
	//$validato = 0;
	$validato = 1;
	$host1 = strtolower("://".$HTTP_SERVER_VARS["HTTP_HOST"]);
	$host2 = strtolower("://".$HTTP_SERVER_VARS["SERVER_NAME"]);
	$ref = 	strtolower($HTTP_SERVER_VARS["HTTP_REFERER"]);
	$metodo = strtolower($HTTP_SERVER_VARS["REQUEST_METHOD"]);
	if ($ref && ($metodo == "post")) {
		if ($host1 != "" && is_integer(strpos($ref,$host1))) {
			$validato = 1;
		} elseif ($host2 != "" && is_integer(strpos($ref,$host2))) {
			$validato = 1;
		}
	}
	return $validato;
}
?>